function _tagged_template_literal(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-secondary);\n                ",
        ": transparent;\n                ",
        ": var(--text-primary-hover);\n                ",
        ": transparent;\n                ",
        ": var(--text-tertiary);\n                ",
        ": var(--text-secondary);\n                ",
        ": var(--text-primary-hover);\n                ",
        ": transparent;\n                ",
        ": var(--text-primary);\n                ",
        ": transparent;\n                ",
        ": var(--text-secondary);\n                ",
        ": var(--text-secondary);\n\n                ",
        ": var(--text-accent);\n            "
    ]);
    _templateObject = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-primary);\n                ",
        ": transparent;\n                ",
        ": var(--text-primary-hover);\n                ",
        ": transparent;\n                ",
        ": var(--text-secondary);\n                ",
        ": var(--text-secondary);\n                ",
        ": var(--text-primary);\n                ",
        ": var(--surface-transparent-card);\n                ",
        ": var(--text-primary-hover);\n                ",
        ": var(--surface-transparent-card);\n                ",
        ": var(--text-secondary);\n                ",
        ": var(--text-secondary);\n\n                ",
        ": var(--text-accent);\n            "
    ]);
    _templateObject1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-primary);\n                ",
        ": transparent;\n                ",
        ": var(--text-primary-hover);\n                ",
        ": transparent;\n                ",
        ": var(--text-secondary);\n                ",
        ": var(--text-secondary);\n                ",
        ": var(--inverse-text-primary);\n                ",
        ": var(--surface-solid-default);\n                ",
        ": var(--inverse-text-primary-hover);\n                ",
        ": var(--surface-solid-default);\n                ",
        ": var(--inverse-text-secondary);\n                ",
        ": var(--inverse-text-secondary);\n\n                ",
        ": var(--text-accent);\n            "
    ]);
    _templateObject2 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-primary);\n                ",
        ": transparent;\n                ",
        ": var(--text-primary-hover);\n                ",
        ": transparent;\n                ",
        ": var(--text-secondary);\n                ",
        ": var(--text-secondary);\n                ",
        ": var(--on-dark-text-primary);\n                ",
        ": var(--surface-accent);\n                ",
        ": var(--on-dark-text-primary-hover);\n                ",
        ": var(--surface-accent);\n                ",
        ": var(--on-dark-text-secondary);\n                ",
        ": var(--on-dark-text-secondary);\n\n                ",
        ": var(--text-accent);\n            "
    ]);
    _templateObject3 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0.5rem;\n                ",
        ": auto;\n                ",
        ": 2rem;\n                ",
        ": 0.5rem 0.75rem;\n                ",
        ": 0.5rem 0.5rem;\n                ",
        ": 0.0625rem 0.125rem;\n                ",
        ": 0.125rem;\n                ",
        ": 0;\n\n                ",
        ": var(--plasma-typo-body-xs-font-family);\n                ",
        ": var(--plasma-typo-body-xs-font-size);\n                ",
        ": var(--plasma-typo-body-xs-font-style);\n                ",
        ": var(--plasma-typo-body-xs-bold-font-weight);\n                ",
        ": var(--plasma-typo-body-xs-letter-spacing);\n                ",
        ": var(--plasma-typo-body-xs-line-height);\n            "
    ]);
    _templateObject4 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0.625rem;\n                ",
        ": auto;\n                ",
        ": 2.5rem;\n                ",
        ": 0.5rem 1rem;\n                ",
        ": 0.5rem 0.5rem;\n                ",
        ": 0.1875rem 0.125rem;\n                ",
        ": 0.125rem;\n                ",
        ": 0rem;\n\n                ",
        ": var(--plasma-typo-body-s-font-family);\n                ",
        ": var(--plasma-typo-body-s-font-size);\n                ",
        ": var(--plasma-typo-body-s-font-style);\n                ",
        ": var(--plasma-typo-body-s-bold-font-weight);\n                ",
        ": var(--plasma-typo-body-s-letter-spacing);\n                ",
        ": var(--plasma-typo-body-s-line-height);\n            "
    ]);
    _templateObject5 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject6() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0.75rem;\n                ",
        ": auto;\n                ",
        ": 3rem;\n                ",
        ": 0.75rem 1.25rem;\n                ",
        ": 0.75rem 0.75rem;\n                ",
        ": 0.125rem;\n                ",
        ": 0.25rem;\n                ",
        ": 0rem;\n\n                ",
        ": var(--plasma-typo-body-m-font-family);\n                ",
        ": var(--plasma-typo-body-m-font-size);\n                ",
        ": var(--plasma-typo-body-m-font-style);\n                ",
        ": var(--plasma-typo-body-m-bold-font-weight);\n                ",
        ": var(--plasma-typo-body-m-letter-spacing);\n                ",
        ": var(--plasma-typo-body-m-line-height);\n            "
    ]);
    _templateObject6 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject7() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0.875rem;\n                ",
        ": auto;\n                ",
        ": 3.5rem;\n                ",
        ": 1rem 1.5rem; /* 1.625 */\n                ",
        ": 1rem 1rem;\n                ",
        ": 0.0625rem 0.125rem;\n                ",
        ": 0.375rem;\n                ",
        ": 0;\n\n                ",
        ": var(--plasma-typo-body-l-font-family);\n                ",
        ": var(--plasma-typo-body-l-font-size);\n                ",
        ": var(--plasma-typo-body-l-font-style);\n                ",
        ": var(--plasma-typo-body-l-bold-font-weight);\n                ",
        ": var(--plasma-typo-body-l-letter-spacing);\n                ",
        ": var(--plasma-typo-body-l-line-height);\n            "
    ]);
    _templateObject7 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject8() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 1rem;\n                ",
        ": auto;\n                ",
        ": 4rem;\n                ",
        ": 1.25rem 1.75rem;\n                ",
        ": 1.25rem;\n                ",
        ": 0.0625rem 0.125rem;\n                ",
        ": 0.375rem;\n                ",
        ": 0;\n\n                ",
        ": var(--plasma-typo-body-l-font-family);\n                ",
        ": var(--plasma-typo-body-l-font-size);\n                ",
        ": var(--plasma-typo-body-l-font-style);\n                ",
        ": var(--plasma-typo-body-l-bold-font-weight);\n                ",
        ": var(--plasma-typo-body-l-letter-spacing);\n                ",
        ": var(--plasma-typo-body-l-line-height);\n            "
    ]);
    _templateObject8 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject9() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0.4;\n            "
    ]);
    _templateObject9 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject10() {
    var data = _tagged_template_literal([
        "\n                // NOTE: change on token when added\n                ",
        ": 1000px;\n            "
    ]);
    _templateObject10 = function _templateObject() {
        return data;
    };
    return data;
}
import { css, segmentTokens } from '@salutejs/plasma-new-hope/styled-components';
export var config = {
    defaults: {
        view: 'clear',
        size: 'xs'
    },
    variations: {
        view: {
            clear: css(_templateObject(), segmentTokens.itemColor, segmentTokens.itemBackgroundColor, segmentTokens.itemColorHover, segmentTokens.itemBackgroundColorHover, segmentTokens.itemAdditionalColor, segmentTokens.itemAdditionalColorHover, segmentTokens.itemSelectedColor, segmentTokens.itemSelectedBackgroundColor, segmentTokens.itemSelectedColorHover, segmentTokens.itemSelectedBackgroundColorHover, segmentTokens.itemSelectedAdditionalColor, segmentTokens.itemSelectedAdditionalColorHover, segmentTokens.outlineFocusColor),
            secondary: css(_templateObject1(), segmentTokens.itemColor, segmentTokens.itemBackgroundColor, segmentTokens.itemColorHover, segmentTokens.itemBackgroundColorHover, segmentTokens.itemAdditionalColor, segmentTokens.itemAdditionalColorHover, segmentTokens.itemSelectedColor, segmentTokens.itemSelectedBackgroundColor, segmentTokens.itemSelectedColorHover, segmentTokens.itemSelectedBackgroundColorHover, segmentTokens.itemSelectedAdditionalColor, segmentTokens.itemSelectedAdditionalColorHover, segmentTokens.outlineFocusColor),
            default: css(_templateObject2(), segmentTokens.itemColor, segmentTokens.itemBackgroundColor, segmentTokens.itemColorHover, segmentTokens.itemBackgroundColorHover, segmentTokens.itemAdditionalColor, segmentTokens.itemAdditionalColorHover, segmentTokens.itemSelectedColor, segmentTokens.itemSelectedBackgroundColor, segmentTokens.itemSelectedColorHover, segmentTokens.itemSelectedBackgroundColorHover, segmentTokens.itemSelectedAdditionalColor, segmentTokens.itemSelectedAdditionalColorHover, segmentTokens.outlineFocusColor),
            accent: css(_templateObject3(), segmentTokens.itemColor, segmentTokens.itemBackgroundColor, segmentTokens.itemColorHover, segmentTokens.itemBackgroundColorHover, segmentTokens.itemAdditionalColor, segmentTokens.itemAdditionalColorHover, segmentTokens.itemSelectedColor, segmentTokens.itemSelectedBackgroundColor, segmentTokens.itemSelectedColorHover, segmentTokens.itemSelectedBackgroundColorHover, segmentTokens.itemSelectedAdditionalColor, segmentTokens.itemSelectedAdditionalColorHover, segmentTokens.groupFilledBackgroundColor)
        },
        size: {
            xs: css(_templateObject4(), segmentTokens.itemBorderRadius, segmentTokens.itemWidth, segmentTokens.itemHeight, segmentTokens.itemPadding, segmentTokens.itemPilledPadding, segmentTokens.itemContentPadding, segmentTokens.itemIconMargin, segmentTokens.itemMarginLeft, segmentTokens.fontFamily, segmentTokens.fontSize, segmentTokens.fontStyle, segmentTokens.fontWeight, segmentTokens.letterSpacing, segmentTokens.lineHeight),
            s: css(_templateObject5(), segmentTokens.itemBorderRadius, segmentTokens.itemWidth, segmentTokens.itemHeight, segmentTokens.itemPadding, segmentTokens.itemPilledPadding, segmentTokens.itemContentPadding, segmentTokens.itemIconMargin, segmentTokens.itemMarginLeft, segmentTokens.fontFamily, segmentTokens.fontSize, segmentTokens.fontStyle, segmentTokens.fontWeight, segmentTokens.letterSpacing, segmentTokens.lineHeight),
            m: css(_templateObject6(), segmentTokens.itemBorderRadius, segmentTokens.itemWidth, segmentTokens.itemHeight, segmentTokens.itemPadding, segmentTokens.itemPilledPadding, segmentTokens.itemContentPadding, segmentTokens.itemIconMargin, segmentTokens.itemMarginLeft, segmentTokens.fontFamily, segmentTokens.fontSize, segmentTokens.fontStyle, segmentTokens.fontWeight, segmentTokens.letterSpacing, segmentTokens.lineHeight),
            l: css(_templateObject7(), segmentTokens.itemBorderRadius, segmentTokens.itemWidth, segmentTokens.itemHeight, segmentTokens.itemPadding, segmentTokens.itemPilledPadding, segmentTokens.itemContentPadding, segmentTokens.itemIconMargin, segmentTokens.itemMarginLeft, segmentTokens.fontFamily, segmentTokens.fontSize, segmentTokens.fontStyle, segmentTokens.fontWeight, segmentTokens.letterSpacing, segmentTokens.lineHeight),
            xl: css(_templateObject8(), segmentTokens.itemBorderRadius, segmentTokens.itemWidth, segmentTokens.itemHeight, segmentTokens.itemPadding, segmentTokens.itemPilledPadding, segmentTokens.itemContentPadding, segmentTokens.itemIconMargin, segmentTokens.itemMarginLeft, segmentTokens.fontFamily, segmentTokens.fontSize, segmentTokens.fontStyle, segmentTokens.fontWeight, segmentTokens.letterSpacing, segmentTokens.lineHeight)
        },
        disabled: {
            true: css(_templateObject9(), segmentTokens.disabledOpacity)
        },
        pilled: {
            true: css(_templateObject10(), segmentTokens.itemPilledBorderRadius)
        }
    }
};
